enquete/enquete/urls.py
from django.contrib import admin
from django.urls import path, include
from main.admin import admin_site

urlpatterns = [
    path('', include('main.urls')),
    path('enquete2/', include('enquete2.urls')),
    path('accounts/', include('django.contrib.auth.urls')),
    path('admin/', admin.site.urls),
    path('enquete-admin/', admin_site.urls),
]

enquete/enquete2/urls.py
from django.urls import path
from . import views

app_name = 'enquete2'
urlpatterns = [
    path('',
        views.IndexView.as_view(), name = 'index'
    ),
    path('<int:pk>',
        views.DetalhesView.as_view(), name = 'detalhes'
    ),
    path('<int:id_enquete>/votacao',
        views.votacao, name = 'votacao'
    ),
    path('<int:pk>/resultado',
        views.ResultadoView.as_view(), name = 'resultado'
    ),


    path('about', views.about, name='about'),
    path('contact', views.contact, name='contact'),
    path('gallery', views.gallery, name='gallery'),
    path('products', views.products, name='products'),
]

enquete/main/urls.py
from django.urls import path
from . import views

app_name = 'main'
urlpatterns = [
    path('', views.root, name = 'root'),
    path('enquetes/',
        views.IndexView.as_view(), name = 'index'
    ),
    path('enquete/<int:pk>',
        views.DetalhesView.as_view(), name = 'detalhes'
    ),
    path('enquete/<int:pk>/resultado',
        views.ResultadoView.as_view(), name = 'resultado'
    ),
    path('enquete/<int:id_enquete>/votacao',
        views.votacao, name = 'votacao'
    ),
    path('enquetes/autor/<int:pk>/',
        views.EnquetesAutor.as_view(), name = 'enquetes_autor'
    ),
    path('enquete/cadastrar',
        views.nova_enquete, name = 'nova_enquete'
    ),
]

enquete/enquete2/models.py
from django.db import models

# Create your models here.

enquete/main/models.py
from django.conf import settings
from django.db import models
from django.utils import timezone
import datetime

class Autor(models.Model):
    pseudonimo = models.CharField(max_length = 100, unique=True)
    usuario = models.OneToOneField(
        settings.AUTH_USER_MODEL,
        on_delete=models.CASCADE,
        default=None,
        null=True
    )
    def __str__(self):
        return self.pseudonimo
    def enquetes_por_data_publicacao(self):
        return self.pergunta_set.order_by('data_publicacao')

class Pergunta(models.Model):
    texto = models.CharField(max_length = 200)
    data_publicacao = models.DateTimeField('Data de Publicação')
    autor = models.ForeignKey(
        Autor,
        on_delete=models.CASCADE,
        default=None,
        null=True
    )
    def __str__(self):
        return self.texto
    def publicada_recentemente(self):
        agora = timezone.now()
        return agora-datetime.timedelta(days=1) <= self.data_publicacao <= agora
    publicada_recentemente.admin_order_field = 'data_publicacao'
    publicada_recentemente.boolean = True
    publicada_recentemente.short_description = 'últimas 24hs?'

class Opcao(models.Model):
    texto = models.CharField(max_length = 200)
    votos = models.IntegerField(default = 0)
    pergunta = models.ForeignKey(Pergunta, on_delete=models.CASCADE)
    def __str__(self):
        return self.texto
    class Meta:
        ordering = ["texto"]
        verbose_name_plural = "Opções"

enquete/enquete2/views.py
from django.shortcuts import render, get_object_or_404
from django.http import HttpResponseRedirect
from django.urls import reverse
from django.views import generic
from django.utils import timezone
from main.models import Pergunta, Opcao, Autor

# Create your views here.
class IndexView(generic.ListView):
    template_name = 'enquete2/index.html'
    def get_queryset(self):
        return Pergunta.objects.filter(
            data_publicacao__lte=timezone.now()
        ).order_by('-data_publicacao')

class DetalhesView(generic.DetailView):
    template_name = 'enquete2/detalhes.html'
    model = Pergunta
    def get_queryset(self):
        return Pergunta.objects.filter(data_publicacao__lte=timezone.now())

def votacao(request, id_enquete):
    pergunta = get_object_or_404(Pergunta, pk=id_enquete)
    try:
        opcao_selecionada = pergunta.opcao_set.get(pk=request.POST['opcao'])
    except (KeyError, Opcao.DoesNotExist):
        return render(request, 'enquete2/detalhes.html', {
            'pergunta': pergunta,
            'error_message': "Selecione uma opção VÁLIDA!"
        })
    else:
        opcao_selecionada.votos += 1
        opcao_selecionada.save()
        return HttpResponseRedirect(
            reverse('enquete2:resultado', args=(pergunta.id,))
        )

class ResultadoView(generic.DetailView):
    model = Pergunta
    template_name = 'enquete2/resultado.html'

def about(request):
    return render(request, 'enquete2/about.html', {})

def contact(request):
    return render(request, 'enquete2/contact.html', {})

def gallery(request):
    return render(request, 'enquete2/gallery.html', {})

def products(request):
    return render(request, 'enquete2/products.html', {})

enquete/main/views.py
from django.shortcuts import render, get_object_or_404
from django.http import HttpResponseRedirect
from django.urls import reverse
from django.views import generic
from django.utils import timezone
from .models import Pergunta, Opcao, Autor
from django.contrib.auth.decorators import login_required

def root(request):
    return render(request, 'main/root.html', {})

class IndexView(generic.ListView):
    def get_queryset(self):
        return Pergunta.objects.filter(
            data_publicacao__lte=timezone.now()
        ).order_by('-data_publicacao')

@login_required
def nova_enquete(request):
    if request.method == 'GET':
        return render(request, 'main/nova_enquete.html')
    if request.method == 'POST':
        ## Verifica se o usuário logado possui relacionamento com autor
        if not hasattr(request.user, 'autor'):
            return render(request, 'main/nova_enquete.html', {
                'error_message': "Usuário logado não é um autor válido!"
            })
        ## Recupera os parâmetros enviados no formulário
        texto = request.POST['pergunta']
        op1 = request.POST['op1']
        op2 = request.POST['op2']
        op3 = request.POST['op3']
        op4 = request.POST['op4']
        op5 = request.POST['op5']
        ## Verifica se o texto é diferente de vazio
        if texto:
            pergunta = Pergunta(
                texto = texto,
                data_publicacao = timezone.now(),
                autor = request.user.autor
            )
            pergunta.save()
            if op1:
                op = Opcao(texto=op1, pergunta=pergunta)
                op.save()
            if op2:
                op = Opcao(texto=op2, pergunta=pergunta)
                op.save()
            if op3:
                op = Opcao(texto=op3, pergunta=pergunta)
                op.save()
            if op4:
                op = Opcao(texto=op4, pergunta=pergunta)
                op.save()
            if op5:
                op = Opcao(texto=op5, pergunta=pergunta)
                op.save()
            return HttpResponseRedirect(reverse('main:index'))
        else:
            return render(request, 'main/nova_enquete.html', {
                'error_message': "Texto da enquete inválido! Tente novamente."
            })

class DetalhesView(generic.DetailView):
    model = Pergunta
    def get_queryset(self):
        return Pergunta.objects.filter(data_publicacao__lte=timezone.now())

class EnquetesAutor(generic.DetailView):
    model = Autor
    template_name = 'main/enquetes_autor.html'

class ResultadoView(generic.DetailView):
    model = Pergunta
    template_name = 'main/resultado.html'

def votacao(request, id_enquete):
    pergunta = get_object_or_404(Pergunta, pk=id_enquete)
    try:
        opcao_selecionada = pergunta.opcao_set.get(pk=request.POST['opcao'])
    except (KeyError, Opcao.DoesNotExist):
        return render(request, 'main/pergunta_detail.html', {
            'pergunta': pergunta,
            'error_message': "Selecione uma opção VÁLIDA!"
        })
    else:
        if request.session.get('pergunta_votada', -1) == pergunta.id:
            return render(request, 'main/pergunta_detail.html', {
            'pergunta': pergunta,
            'error_message': "Já votou nessa enquete, nessa sessão!"
            })
        else:
            opcao_selecionada.votos += 1
            opcao_selecionada.save()
            request.session['pergunta_votada'] = pergunta.id
        return HttpResponseRedirect(
            reverse('main:resultado', args=(pergunta.id,))
        )

enquete/enquete2/templates/enquete2/base.html
{% load static %}

<!DOCTYPE html>
<html lang="pt-br">
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Nova Aplicação Enquete</title>
    <link rel="stylesheet" href="{% static 'enquete2/css/components.css' %}">
    <link rel="stylesheet" href="{% static 'enquete2/css/icons.css' %}">
    <link rel="stylesheet" href="{% static 'enquete2/css/responsee.css' %}">
    <link rel="stylesheet" href="{% static 'enquete2/owl-carousel/owl.carousel.css' %}">
    <link rel="stylesheet" href="{% static 'enquete2/owl-carousel/owl.theme.css' %}">
    <link rel="stylesheet" href="{% static 'enquete2/css/template-style.css' %}">
    <link href='https://fonts.googleapis.com/css?family=Playfair+Display&subset=latin,latin-ext' rel='stylesheet' type='text/css'>
    <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,300,700,800&subset=latin,latin-ext' rel='stylesheet' type='text/css'>
    <script type="text/javascript" src="{% static 'enquete2/js/jquery-1.8.3.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'enquete2/js/jquery-ui.min.js' %}"></script>
  </head>

  <body class="size-1140">
    <!-- HEADER -->
    <header role="banner" class="position-absolute">
      <!-- Top Navigation -->
      <nav class="background-transparent background-transparent-hightlight full-width sticky">
        <div class="s-12 l-2">
          <a href="{% url 'enquete2:index' %}" class="logo">
            <!-- Logo White Version -->
            <img class="logo-white" src="{% static 'enquete2/img/logo.png' %}" alt="">
            <!-- Logo Dark Version -->
            <img class="logo-dark" src="{% static 'enquete2/img/logo-dark.png' %}" alt="">
          </a>
        </div>
        <div class="top-nav s-12 l-10">
          <p class="nav-text"></p>
          <ul class="right chevron">
            <li><a href="{% url 'enquete2:index' %}">Home</a></li>
            <li><a href="{% url 'enquete2:products' %}">Produtos</a></li>
            <li><a>Serviços</a>
              <ul>
                <li><a>Serviço 1</a>
                  <ul>
                    <li><a>Serviço 1 A</a></li>
                    <li><a>Serviço 1 B</a></li>
                  </ul>
                </li>
                <li><a>Serviço 2</a></li>
              </ul>
            </li>
            <li><a href="{% url 'enquete2:about' %}">Sobre</a></li>
            <li><a href="{% url 'enquete2:gallery' %}">Galeria</a></li>
            <li><a href="{% url 'enquete2:contact' %}">Contato</a></li>
          </ul>
        </div>
      </nav>
    </header>

    {% block main %}
    {% endblock %}

    <!-- FOOTER -->
    <footer>
      <!-- Contact Us -->
      <div class="background-primary padding text-center">
        <p class="h1">Entre em Contato: +55 84 4005-9800</p>
      </div>

      <!-- Main Footer -->
      <section class="background-dark full-width">
        <!-- Map -->
        <div class="s-12 m-12 l-6 margin-m-bottom-2x">
          <div class="s-12 grayscale center">
            <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d127005.72632548382!2d-35.287112002262035!3d-5.865613413936913!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x7b2ffe4d7b15191%3A0x5c55d75db98a785e!2sInstituto%20Federal%20de%20Educa%C3%A7%C3%A3o%2C%20Ci%C3%AAncia%20e%20Tecnologia%20do%20Rio%20Grande%20do%20Norte%20-%20IFRN%20Campus%20Natal%20Central!5e0!3m2!1spt-BR!2sbr!4v1606324905345!5m2!1spt-BR!2sbr" width="100%" height="450" frameborder="0" style="border:0"></iframe>
          </div>
        </div>

        <!-- Collumn 2 -->
        <div class="s-12 m-12 l-6 margin-m-bottom-2x">
          <div class="padding-2x">
            <div class="line">
              <div class="float-left">
                  <i class="icon-sli-location-pin text-primary icon3x"></i>
                </div>
                <div class="margin-left-70 margin-bottom-30">
                  <h3 class="margin-bottom-0">Endereço do CNAT</h3>
                  <p>Av. Sen. Salgado Filho, 1559<br>
                     Tirol, Natal-RN
                  </p>
                </div>
                <div class="float-left">
                  <i class="icon-sli-envelope text-primary icon3x"></i>
                </div>
                <div class="margin-left-70 margin-bottom-30">
                  <h3 class="margin-bottom-0">E-mail</h3>
                  <p>diatinf@listas.ifrn.edu.br</p>
                </div>
                <div class="float-left">
                  <i class="icon-sli-phone text-primary icon3x"></i>
                </div>
                <div class="margin-left-70">
                  <h3 class="margin-bottom-0">Telefones</h3>
                  <p>+55 84 4005 9800</p>
                </div>
            </div>
          </div>
        </div>
      </section>
      <hr class="break margin-top-bottom-0" style="border-color: rgba(0, 38, 51, 0.80);">

      <!-- Bottom Footer -->
      <section class="padding background-dark full-width">
        <div class="s-12 l-6">
          <p class="text-size-12">Copyright 2019, Vision Design - graphic zoo</p>
          <p class="text-size-12">All images have been purchased from Bigstock. Do not use the images in your website.</p>
        </div>
        <div class="s-12 l-6">
          <a class="right text-size-12" href="http://www.myresponsee.com" title="Responsee - lightweight responsive framework">Design and coding<br> by Responsee Team</a>
        </div>
      </section>
    </footer>
    <script type="text/javascript" src="{% static 'enquete2/js/responsee.js' %}"></script>
    <script type="text/javascript" src="{% static 'enquete2/owl-carousel/owl.carousel.js' %}"></script>
    <script type="text/javascript" src="{% static 'enquete2/js/template-scripts.js' %}"></script>
  </body>
</html>

enquete/enquete2/templates/enquete2/detalhes.html
{% extends "enquete2/base.html" %}
{% load static %}
{% block main %}
    
    <!-- MAIN -->
    <main role="main">
      <!-- Cabeçalho da Enquete -->
      <article>
        <header class="section background-dark">
          <div class="line">        
            <h1 class="text-white margin-top-bottom-30 text-size-50 text-line-height-1">{{ pergunta.texto }}</h1>
            <p class="margin-bottom-0 text-size-16">Data de publicação: {{ pergunta.data_publicacao }}.<br>
            Usuário: <b>{{ pergunta.usuario.login }}</b></a>
            (<i>{{ pergunta.usuario.email }}</i>)</p>
          </div>  
        </header>

        {% if error_message %}
        <div class="section background-white"> 
            <div class="line margin-bottom-30">
              <div class="margin">
                <div class="s-12 m-12 l-4 margin-m-bottom">
                  <div class="padding-2x block-bordered border-radius">
                    <div class="float-left hide-s">
                      <i class="icon-sli-info icon3x text-primary"></i>
                    </div>
                    <div class="margin-left-70 margin-s-left-0 margin-bottom">
                        <h3 class="margin-bottom-0">Erro:</h3>
                        <p><strong>{{ error_message }}</strong></p>               
                    </div>
                  </div>
                </div>
              </div>
            </div>
        </div>
        {% endif %}

        <div class="section background-white"> 
          <div class="line">
              <!-- Escolha de uma das Opções -->
              <div class="s-12 m-12 l-6">
                <h2 class="margin-bottom-10">Selecione a opção desejada:</h2>
                <form name="votacaoForm" class="customform" method="post" action="{% url 'enquete2:votacao' pergunta.id %}">
                {% csrf_token %}
                  <div class="line">
                    {% for opcao in pergunta.opcao_set.all %}
                    <div class="s-12"> 
                    
                      <div class="s-12 m-12 l-6">
                        <input name="opcao" type="radio" id="opcao{{ forloop.counter }}" value="{{ opcao.id }}"/>
                        <label for="opcao{{ forloop.counter }}">
                            {{ opcao.texto }}
                        </label>
                      </div>
                    
                    </div>
                    {% endfor %}  
                  </div>
                  <div class="s-12"><button class="s-12 submit-form button background-primary text-white" type="submit">Submeter Voto</button></div>
                </form>
              </div>  
          </div>  
        </div> 
      </article>
    </main>

{% endblock%}

enquete/enquete2/templates/enquete2/index.html
{% extends "enquete2/base.html" %}
{% load static %}
{% block main %}

<!-- MAIN -->
<main role="main">
  <!-- Main Header -->
  <header>
    <div class="carousel-default owl-carousel carousel-main carousel-nav-white background-dark text-center">
      <div class="item">
        <div class="s-12">
          <img src="{% static 'enquete2/img/header.jpg' %}" alt="">
          <div class="carousel-content">
            <div class="content-center-vertical line">
              <div class="margin-top-bottom-80">
                <!-- Title -->
                <h1 class="text-white margin-bottom-30 text-size-60 text-m-size-30 text-line-height-1">Nova Aplicação de Enquete</h1>
                <div class="s-12 m-10 l-8 center"><p class="text-white text-size-14 margin-bottom-40">Aplicação exemplo desenvolvida no contexto da disciplina de Desenvolvimento de Sistemas Web, do curso de Tecnologia em Análise e Desenvolvimento de Sistemas - TADS - do campus Natal-Central - CNAT - do Instituto Federal de Educação, Ciência e Tecnologia do Rio Grande do Norte - IFRN.</p></div>
                <div class="line">
                  <div class="s-12 m-12 l-3 center">
                    <a class="button button-white-stroke s-12" href="#">Cadastre uma Enquete</a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </header>

  {% if pergunta_list %}
  <!-- Section 1 -->
  <section class="section-small-padding background-white text-center">
    <div class="line">
      <div class="margin">
        {% for pergunta in pergunta_list %}
        <div class="s-12 m-12 l-4 margin-m-bottom">
          <div class="padding-2x block-bordered">
            <i class="icon-sli-question icon3x text-dark center margin-bottom-30"></i>
            <h2 class="text-thin">Enquete #{{ pergunta.id }}</h2>
            <p class="margin-bottom-30">{{ pergunta.texto }}<br/>
            (<a href="{% url 'enquete2:resultado' pergunta.id %}">clique para ver parcial</a>)</p>
            <a class="button button-dark-stroke text-size-12" href="{% url 'enquete2:detalhes' pergunta.id %}">VER DETALHES</a>
          </div>
        </div>
        {% if forloop.counter == 3 %}
      </div>
    </div>
    <div class="line">
      <div class="margin">
        {% endif %}
        {% endfor %}
      </div>
    </div>
  </section>
{% else %}
<section class="section-small-padding background-white text-center">
  <div class="line text-center">
    <div class="margin">
      <div class="s-12 m-12 l-4 margin-m-bottom">
        <div class="padding-2x background-primary">
          <i class="icon-sli-shield icon3x text-white margin-bottom-30"></i>
          <h2 class="text-thin">Nenhuma Enquete cadastrada até o momento!</h2>
        </div>
      </div>
    </div>
  </div>
</section>
{% endif %}

{% endblock %}

enquete/enquete2/templates/enquete2/resultado.html
{% extends "enquete2/base.html" %}
{% load static %}
{% block main %}
    
    <!-- MAIN -->
    <main role="main">
      <!-- Cabeçalho da Enquete -->
      <article>
        <header class="section background-dark">
          <div class="line">        
            <h1 class="text-white margin-top-bottom-30 text-size-50 text-line-height-1">{{ pergunta.texto }}</h1>
            <p class="margin-bottom-0 text-size-16">Data de publicação: {{ pergunta.data_publicacao }}.<br>
            Usuário: <b>{{ pergunta.usuario.login }}</b></a>
            (<i>{{ pergunta.usuario.email }}</i>)<br/>
            RESULTADO PARCIAL:</p>
          </div>  
        </header>

        <div class="section background-white"> 
          <div class="line">
              <div class="s-12 m-12 l-6">
                {% for opcao in pergunta.opcao_set.all %}
                <h2 class="margin-bottom-10">{{ opcao.texto }} = {{ opcao.votos }}</h2>
                {% endfor %} 
              </div>
          </div>
          <p>&nbsp;</p>
          <div class="line">
            <div class="s-12"><a href="{% url 'enquete2:detalhes' pergunta.id %}"><button class="s-3 submit-form button background-primary text-white" type="submit">Votar Novamente</button></a></div>
          </div>
        </div> 
      </article>
    </main>

{% endblock%}

enquete/main/templates/main/base.html
{% load static %}
<html>
{% block cabecalho %}
    <head>
        <title>App Enquete</title>
        <link rel="stylesheet" type="text/css" href="{% static 'main/style.css' %}">
    </head>
{% endblock %}
    <body>
        <h2>{% block titulo %}TÍTULO{% endblock %}</h2>

{% block conteudo %}
{% endblock %}

{% block rodape %}
        <hr/>
        <a href="{% url 'main:index' %}">Retornar à Home</a>
        &nbsp;&nbsp;|&nbsp;&nbsp;
        <a href="{% url 'main:nova_enquete' %}">Cadastrar Enquete</a>
        {% if user.is_authenticated %}
            &nbsp;&nbsp;|&nbsp;&nbsp;
            Logado como "{{ user.username  }}"
            (<a href="{% url 'logout' %}?next=/enquetes" >logout</a>)
        {% endif %}
{% endblock %}
    </body>
</html>

enquete/main/templates/main/enquetes_autor.html
{% extends "main/base.html" %}

{% block titulo %}Enquetes do Usuário "{{ autor.pseudonimo }}"{% endblock %}

{% block conteudo %}
    <ul>
    {% for pergunta in autor.enquetes_por_data_publicacao %}
        <li>
            <a href="{% url 'main:detalhes' pergunta.id %}">
                {{ pergunta.texto }}
            </a>
            (<a href="{% url 'main:resultado' pergunta.id %}">
                ver parcial
            </a>)
        </li>
    {% endfor %}
    </ul>
{% endblock %}

enquete/main/templates/main/nova_enquete.html
{% extends "main/base.html" %}

{% block titulo %}Cadastro de Enquete{% endblock %}

{% block conteudo %}
    <h4>Informe os dados requisitados a uma nova enquete:</h4>
    {% if error_message %}
        <hr/>
        <strong>{{ error_message }}</strong>
        <hr/>
    {% endif %}
    <form action="{% url 'main:nova_enquete' %}" method="post">
        {% csrf_token %}
        <u>Texto</u>: <input type="text" name="pergunta" size="50"/>

        <p><u>Informe as opções desejadas</u>:<br/>
        <ul>
            <input type="text" name="op1" /><br/>
            <input type="text" name="op2" /><br/>
            <input type="text" name="op3" /><br/>
            <input type="text" name="op4" /><br/>
            <input type="text" name="op5" /><br/>
        </ul>
        <input type="submit" value="Realize o Cadastro da Enquete"></p>
    </form>
{% endblock %}

enquete/main/templates/main/pergunta_detail.html
{% extends "main/base.html" %}

{% block titulo %}Detalhes da Enquete {{ pergunta.id }}{% endblock %}

{% block conteudo %}
    <u>Pergunta</u>: {{ pergunta.texto }}<br/>
    <u>Data de Publicação</u>: {{ pergunta.data_publicacao }}<br/>
    <u>Usuário</u>: <a href="{% url 'main:enquetes_autor' pergunta.autor.id %}">
    <b>{{ pergunta.autor.pseudonimo }}</b></a>
    (<i>{{ pergunta.autor.usuario.email }}</i>)
    {% if error_message %}
        <hr/>
        <strong>{{ error_message }}</strong>
        <hr/>
    {% endif %}
    <form action="{% url 'main:votacao' pergunta.id %}" method="post">
        {% csrf_token %}
        <ul>
            {% for opcao in pergunta.opcao_set.all %}
            <li><input type="radio" name="opcao"
                    id="opcao{{ forloop.counter }}" value="{{ opcao.id }}">
                <label for="opcao{{ forloop.counter }}">
                    {{ opcao.texto }}
                </label>
            </li>
            {% endfor %}
        </ul>
        <input type="submit" value="Registre o seu Voto">
    </form>
{% endblock %}

enquete/main/templates/main/pergunta_list.html
{% extends "main/base.html" %}

{% block titulo %}Lista das Últimas Enquetes{% endblock %}

{% block conteudo %}
    {% if pergunta_list %}
        <ul>
            {% for pergunta in pergunta_list %}
                <li><a href="{% url 'main:detalhes' pergunta.id %}">
                    {{ pergunta.texto|truncatewords:30 }}
                    </a> (<a href="{% url 'main:resultado' pergunta.id %}">
                    ver parcial</a>)
                </li>
            {% endfor %}
        </ul>
    {% else %}
        <h3>Não há enquetes cadastradas até o momento!</h3>
    {% endif %}
{% endblock %}

enquete/main/templates/main/resultado.html
{% extends "main/base.html" %}

{% block titulo %}Resultado Parcial da Enquete {{ pergunta.id }}{% endblock %}

{% block conteudo %}
    <u>Pergunta</u>: {{ pergunta.texto }}<br/>
    <u>Data de Publicação</u>: {{ pergunta.data_publicacao }}
    <ul>
    {% for opcao in pergunta.opcao_set.all %}
        <li>{{ opcao.texto }} = {{ opcao.votos }}
            voto{{ opcao.votos | pluralize }}</li>
    {% endfor %}
    </ul>
{% endblock %}

{% block rodape %}
    {{ block.super }}
    &nbsp;&nbsp;|&nbsp;&nbsp;
    <a href="{% url 'main:detalhes' pergunta.id %}">Deseja votar novamente?</a>
{% endblock %}

enquete/main/templates/main/root.html
<html>
    <head>
        <title>Aplicações DSWeb 2020.1</title>
    </head>
    <body>
        <h2>Aplicações da Disciplina DSWeb 2020.1</h2>
        <h4>Selecione a aplicação desejada:</h4>
        <ul>
            <li><a href="{% url 'main:index' %}">Aplicação Enquete (HTML simples)</a></li>
            <li><a href="{% url 'enquete2:index' %}">Nova Aplicação Enquete (CSS e Javascript)</a></li>
        </ul>
        <hr>
        <b>Prof. Fellipe Aleixo</b> (<i>fellipe.aleixo@ifrn.edu.br</i>)
    </body>
</html>